<!DOCTYPE html>

<html xmlns:th="http://www.thymeleaf.org">

<head>
	<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<meta name="author" content="Gruppe Pitahaya">
	<meta name="description" content="Gruppenarbeit TOSE - Projektportfolio">
	<meta name="keywords" content="TOSE,Pitahaya,Gruppenarbeit,Projektportfolio">
	<link href="/css/pitahaya.css" rel="stylesheet" type="text/css" media="all" />
	<link href="/css/pitahaya-form.css" rel="stylesheet" type="text/css" media="all" />
	<title>Pitahaya PPM Webseite</title>
	<script src="https://cdn.anychart.com/js/8.0.1/anychart-core.min.js"></script>
	<script src="https://cdn.anychart.com/js/8.0.1/anychart-pie.min.js"></script>
</head>

<body>
<div id="page" class="container">
	<div id="header">
		<div id="logo">
			<a href="/index"><img src="/images/pitahaya.jpg" alt="Pitahaya Bild" height="80" width="80"></a>
			<h5>Pitahaya PPM</h5>
			<br>	
			<span th:text="${session_user}"></span>
         	<a href="/logout"><img src="/images/shutdown-button.png" width="16" height="16" align="middle"></a>
		</div>
		<div id="menu">
			<ul>
				<li class="current_page_item"><a href="/index">Startseite</a></li>
				<li><a href="profil">Mein Profil</a></li>
				<li><a href="projekte">Projekt&uuml;bersicht</a></li>
				<li><a href="/sites/kontakt.html">Kontakt</a></li>
			</ul>
		</div>
	</div>
	<div id="main">
		<div id="banner">
			<img src="/images/welcome.png" alt="Willkommen" class="image-centered" />
		</div>
		<div class="title">
			<h2>Projektportfoliomanagement von Pitahaya</h2><br>
			<hr>
		</div>
		
	<!-- Budgetgrafik auf der Startseite; wird nur bei Portfoliomanagern angezeigt-->
		<div id="budgedpie" style="height: 300px"></div>
		<script type="text/javascript" th:inline="javascript" th:if="${userDetail.role.rolename == 'Portfoliomanager'}">
			anychart.onDocumentReady (function() {
				/*<![CDATA[*/
				var data = [];
				var theList = /*[[${list}]]*/ {};
                for (i = 0; i < theList.length; i++) {
                  var Projekt = theList[i];
				  var myProj = { x: Projekt.projektname, value: Projekt.projektbudget};
				  data.push(myProj);
                }

				/*]]>*/
				var chart = anychart.pie();
				chart.title("Aufteilung Portfoliobudget");
				chart.data(data);
				chart.legend().position("right");
				chart.legend().itemsLayout("vertical");
				chart.container('budgedpie');
				chart.draw();
			});
		</script> 
	</div>
</div>
</body>
<footer>
	<div id="copyright2">
		<span>&copy; Pitahaya </span>	
	</div>
</footer>
</html>
